<!DOCTYPE html>
<html class="no-js">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>NexaScript</title>
    <link href="../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../";</script>
    <script>document.documentElement.classList.replace("no-js","js");</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="https://unpkg.com/kotlin-playground@1/dist/playground.min.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../styles/style.css" rel="Stylesheet">
<link href="../../../styles/main.css" rel="Stylesheet">
<link href="../../../styles/prism.css" rel="Stylesheet">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
<link href="../../../styles/font-jb-sans-auto.css" rel="Stylesheet">
<script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
<link href="../../../images/nexa-64x64.png">
<link href="../../../images/logo-icon.svg">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
</head>
<body>
    <div class="root">
<nav class="navigation" id="navigation-wrapper">
    <div class="navigation--inner">
        <div class="navigation-title">
            <button class="menu-toggle" id="menu-toggle" type="button">toggle menu</button>
            <div class="library-name">
                    <a class="library-name--link" href="../../../index.html">
                            libnexakotlin
                    </a>
            </div>
            <div class="library-version">
0.0.22            </div>
        </div>
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/commonMain">common</button>
        </div>
    </div>
    <div class="navigation-controls">
        <button class="navigation-controls--btn navigation-controls--theme" id="theme-toggle-button" type="button">switch theme</button>
        <div class="navigation-controls--btn navigation-controls--search" id="searchBar" role="button">search in API</div>
    </div>
</nav>
        <div id="container">
            <div class="sidebar" id="leftColumn">
                <div class="sidebar--inner" id="sideMenu"></div>
            </div>
            <div id="main">
<div class="main-content" data-page-type="classlike" id="content" pageIds="libnexakotlin::org.nexa.libnexakotlin.simpleapi/NexaScript///PointingToDeclaration//1316645254">
  <div class="breadcrumbs"><a href="../../../index.html">libnexakotlin</a><span class="delimiter">/</span><a href="../index.html">org.nexa.libnexakotlin.simpleapi</a><span class="delimiter">/</span><span class="current">NexaScript</span></div>
  <div class="cover ">
    <h1 class="cover"><span>Nexa</span><wbr></wbr><span><span>Script</span></span></h1>
    <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">class </span><a href="index.html">NexaScript</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">instructions<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-o-p/index.html">OP</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>chainSelector<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-chain-selector/index.html">ChainSelector</a><span class="token operator"> = </span>defaultChain</span></span><span class="token punctuation">)</span> : <a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div></div></div>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="CONSTRUCTOR,TYPE,PROPERTY,FUNCTION">Members</button></div>
    <div class="tabs-section-body">
      <div data-togglable="CONSTRUCTOR">
        <h2 class="">Constructors</h2>
        <div class="table"><a data-name="725481498%2FConstructors%2F1316645254" anchor-label="NexaScript" id="725481498%2FConstructors%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-togglable="CONSTRUCTOR" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-nexa-script.html"><span>Nexa</span><wbr></wbr><span><span>Script</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="725481498%2FConstructors%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">s<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></span></span><span class="token punctuation">)</span></div><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter "><span class="token keyword">vararg </span>instructions<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-o-p/index.html">OP</a><span class="token punctuation">, </span></span><span class="parameter ">chainSelector<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-chain-selector/index.html">ChainSelector</a><span class="token operator"> = </span>defaultChain</span></span><span class="token punctuation">)</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="PROPERTY">
        <h2 class="">Properties</h2>
        <div class="table"><a data-name="-527099217%2FProperties%2F1316645254" anchor-label="address" id="-527099217%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/address.html"><span><span>address</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-527099217%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/address.html">address</a><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-pay-address/index.html">PayAddress</a><span class="token operator">?</span></div><div class="brief "><p class="paragraph">Parse common script types (P2PKH, P2SH, script template) and return the address or null if the script is not standard.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="722588131%2FProperties%2F1316645254" anchor-label="chainSelector" id="722588131%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/chain-selector.html"><span>chain</span><wbr></wbr><span><span>Selector</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="722588131%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/chain-selector.html">chainSelector</a><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-chain-selector/index.html">ChainSelector</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-807081930%2FProperties%2F1316645254" anchor-label="size" id="-807081930%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/size.html"><span><span>size</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-807081930%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/size.html">size</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a></div><div class="brief "><p class="paragraph">The length of this script in bytes (serialized)</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-921003235%2FProperties%2F1316645254" anchor-label="type" id="-921003235%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/type.html"><span><span>type</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-921003235%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">var </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/type.html">type</a><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/-type/index.html">SatoshiScript.Type</a></div><div class="brief "><p class="paragraph">What type of script is this</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="FUNCTION">
        <h2 class="">Functions</h2>
        <div class="table"><a data-name="328224380%2FFunctions%2F1316645254" anchor-label="add" id="328224380%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/add.html"><span><span>add</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="328224380%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/add.html"><span class="token function">add</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter "><span class="token keyword">vararg </span>opcodes<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-o-p/index.html">OP</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Append new instructions to this script</p></div><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/add.html"><span class="token function">add</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">cmd<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte/index.html">Byte</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Append a raw instruction to this script</p></div><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/add.html"><span class="token function">add</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">cmds<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Append raw script bytes to this script.  Note! Use add(OP.push(...)) to push data into a script</p></div><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/add.html"><span class="token function">add</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">cmds<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html">List</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">&gt;</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="88027306%2FFunctions%2F1316645254" anchor-label="asSerializedByteArray" id="88027306%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/as-serialized-byte-array.html"><span>as</span><wbr></wbr><span>Serialized</span><wbr></wbr><span>Byte</span><wbr></wbr><span><span>Array</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="88027306%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/as-serialized-byte-array.html"><span class="token function">asSerializedByteArray</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">st<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-serialization-type/index.html">SerializationType</a><span class="token operator"> = </span>SerializationType.UNKNOWN</span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a></div><div class="brief "><p class="paragraph">Wraps this script into a serialized byte array.  That is, a byte array of script bytes. This is different than toByteArray which just returns the script bytes.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1709362144%2FFunctions%2F1316645254" anchor-label="BCHdeserialize" id="1709362144%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/-b-c-hdeserialize.html"><span><span>BCHdeserialize</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1709362144%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">override </span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/-b-c-hdeserialize.html"><span class="token function">BCHdeserialize</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">stream<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-b-c-hserialized/index.html">BCHserialized</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-b-c-hserialized/index.html">BCHserialized</a></div><div class="brief "><p class="paragraph">Clear any current script bytes, and replace them with the passed serialized script</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-53827904%2FFunctions%2F1316645254" anchor-label="BCHserialize" id="-53827904%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/-b-c-hserialize.html"><span><span>BCHserialize</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-53827904%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">override </span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/-b-c-hserialize.html"><span class="token function">BCHserialize</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">format<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-serialization-type/index.html">SerializationType</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-b-c-hserialized/index.html">BCHserialized</a></div><div class="brief "><p class="paragraph">Serialize this script</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-545223382%2FFunctions%2F1316645254" anchor-label="constraint" id="-545223382%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="constraint.html"><span><span>constraint</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-545223382%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="constraint.html"><span class="token function">constraint</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">argsScript<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span></span><span class="parameter ">visArgs<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html">List</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">&gt;</span><span class="token operator">?</span><span class="token operator"> = </span>null</span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="constraint.html"><span class="token function">constraint</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">gi<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-group-info/index.html">GroupInfo</a><span class="token punctuation">, </span></span><span class="parameter ">argsScript<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span></span><span class="parameter ">visArgs<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html">List</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">&gt;</span><span class="token operator">?</span><span class="token operator"> = </span>null</span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Convert this script template into an output script.  Will group (or not) depending on whether groupInfo is null</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1220754047%2FFunctions%2F1316645254" anchor-label="contentEquals" id="-1220754047%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/content-equals.html"><span>content</span><wbr></wbr><span><span>Equals</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1220754047%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">infix </span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/content-equals.html"><span class="token function">contentEquals</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">other<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a></div><div class="brief "><p class="paragraph">Compare whether 2 scripts are the same.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-946035902%2FFunctions%2F1316645254" anchor-label="copy" id="-946035902%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/copy.html"><span><span>copy</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-946035902%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/copy.html"><span class="token function">copy</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Make a copy of this script</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1946832239%2FFunctions%2F1316645254" anchor-label="copyFront" id="1946832239%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/copy-front.html"><span>copy</span><wbr></wbr><span><span>Front</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1946832239%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/copy-front.html"><span class="token function">copyFront</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-pair/index.html">Pair</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token punctuation">, </span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.ranges/-int-range/index.html">IntRange</a><span class="token operator">&gt;</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="586714489%2FFunctions%2F1316645254" anchor-label="copyStackElementAt" id="586714489%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/copy-stack-element-at.html"><span>copy</span><wbr></wbr><span>Stack</span><wbr></wbr><span>Element</span><wbr></wbr><span><span>At</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="586714489%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/copy-stack-element-at.html"><span class="token function">copyStackElementAt</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">offset<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-pair/index.html">Pair</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token punctuation">, </span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.ranges/-int-range/index.html">IntRange</a><span class="token operator">&gt;</span></div><div class="brief "><p class="paragraph">Take a copy of stack element at offset as it would appear on the stack, returning the copy and the range copied from. Offset MUST point to a PUSH operation.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="568403958%2FFunctions%2F1316645254" anchor-label="decodeGroupAmount" id="568403958%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/decode-group-amount.html"><span>decode</span><wbr></wbr><span>Group</span><wbr></wbr><span><span>Amount</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="568403958%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/decode-group-amount.html"><span class="token function">decodeGroupAmount</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">ser<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator">?</span></div><div class="brief "><p class="paragraph">Turn a byte array (from the script stack) into a group amount</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="492395850%2FFunctions%2F1316645254" anchor-label="equals" id="492395850%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/equals.html"><span><span>equals</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="492395850%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">operator override </span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/equals.html"><span class="token function">equals</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">other<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html">Any</a><span class="token operator">?</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a></div><div class="brief "><p class="paragraph">Compare whether 2 scripts are the same.  Same as contentEquals</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1912096415%2FFunctions%2F1316645254" anchor-label="flatten" id="1912096415%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/flatten.html"><span><span>flatten</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1912096415%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/flatten.html"><span class="token function">flatten</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a></div><div class="brief "><p class="paragraph">Converts the internal representation to a single ByteArray</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1679680494%2FFunctions%2F1316645254" anchor-label="fromHex" id="-1679680494%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/from-hex.html"><span>from</span><wbr></wbr><span><span>Hex</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1679680494%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/from-hex.html"><span class="token function">fromHex</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">s<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Replace any data currently in this script with the passed hex-encoded binary script. Note that this function does NOT check to ensure that the passed hex-encoded binary data is a valid script.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1447836371%2FFunctions%2F1316645254" anchor-label="getRedeemFromSatisfier" id="1447836371%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/get-redeem-from-satisfier.html"><span>get</span><wbr></wbr><span>Redeem</span><wbr></wbr><span>From</span><wbr></wbr><span><span>Satisfier</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1447836371%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/get-redeem-from-satisfier.html"><span class="token function">getRedeemFromSatisfier</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">If this is a P2SH satisfier script, get its redeem script. Warning, this just returns the last script data push as a script, so if this is NOT a P2SH satisfier script, you will get weird results.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="836649425%2FFunctions%2F1316645254" anchor-label="grouped" id="836649425%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/grouped.html"><span><span>grouped</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="836649425%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/grouped.html"><span class="token function">grouped</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">grpId<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-group-id/index.html">GroupId</a><span class="token punctuation">, </span></span><span class="parameter ">tokenAmt<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">If this script is a script template output, put a token group and token amount into the script template output</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="932585987%2FFunctions%2F1316645254" anchor-label="groupInfo" id="932585987%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/group-info.html"><span>group</span><wbr></wbr><span><span>Info</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="932585987%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/group-info.html"><span class="token function">groupInfo</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">nativeAmount<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-group-info/index.html">GroupInfo</a><span class="token operator">?</span></div><div class="brief "><p class="paragraph">Return the Group annotation associated with this script, or null if ungrouped</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="262749054%2FFunctions%2F1316645254" anchor-label="match" id="262749054%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/match.html"><span><span>match</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="262749054%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/match.html"><span class="token function">match</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/-match-result/index.html">SatoshiScript.MatchResult</a><span class="token operator">?</span></div><div class="brief "><p class="paragraph">Parse common script forms, P2PKH and P2PKT, and P2SH (in BCH only) and return useful data</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1883588222%2FFunctions%2F1316645254" anchor-label="matches" id="1883588222%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/matches.html"><span><span>matches</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1883588222%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/matches.html"><span class="token function">matches</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">template<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a><span class="token punctuation">, </span></span><span class="parameter ">prefix<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token operator"> = </span><span class="token boolean">false</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html">MutableList</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">&gt;</span><span class="token operator">?</span></div><div class="brief "><p class="paragraph">Attempt to match this script (or just the beginning of it) to a script form.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="257481976%2FFunctions%2F1316645254" anchor-label="matchesByBytes" id="257481976%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/matches-by-bytes.html"><span>matches</span><wbr></wbr><span>By</span><wbr></wbr><span><span>Bytes</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="257481976%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/matches-by-bytes.html"><span class="token function">matchesByBytes</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">template<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a><span class="token punctuation">, </span></span><span class="parameter ">prefix<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token operator"> = </span><span class="token boolean">false</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html">MutableList</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">&gt;</span><span class="token operator">?</span></div><div class="brief "><p class="paragraph">Attempt to match this script (or just the beginning of it) to a script form</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="28578241%2FFunctions%2F1316645254" anchor-label="output" id="28578241%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="output.html"><span><span>output</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="28578241%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="output.html"><span class="token function">output</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">amount<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token punctuation">, </span></span><span class="parameter ">args<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span></span><span class="parameter ">groupInfo<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-group-info/index.html">GroupInfo</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span></span><span class="parameter ">visArgs<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html">List</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">&gt;</span><span class="token operator">?</span><span class="token operator"> = </span>null</span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-nexa-tx-output/index.html">NexaTxOutput</a></div><div class="brief "><p class="paragraph">Create an output with this script as the template</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="658743875%2FFunctions%2F1316645254" anchor-label="P2SHconstraint" id="658743875%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/-p2-s-hconstraint.html"><span><span>P2SHconstraint</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="658743875%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/-p2-s-hconstraint.html"><span class="token function">P2SHconstraint</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Return the P2SH constraint (output) script corresponding to this redeem script</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-303865510%2FFunctions%2F1316645254" anchor-label="P2SHsatisfier" id="-303865510%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/-p2-s-hsatisfier.html"><span><span>P2SHsatisfier</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-303865510%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/-p2-s-hsatisfier.html"><span class="token function">P2SHsatisfier</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Return the P2SH part of the satisfier (input) script corresponding to this redeem script.  You must subsequently append a push-only script that provides the arguments required by the redeem script.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1729659146%2FFunctions%2F1316645254" anchor-label="parameterized" id="1729659146%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/parameterized.html"><span><span>parameterized</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1729659146%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/parameterized.html"><span class="token function">parameterized</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a></div><div class="brief "><p class="paragraph">Returns true if this script has replacable marker parameters in it (its not a valid executable script yet).</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1951748006%2FFunctions%2F1316645254" anchor-label="parsed" id="1951748006%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/parsed.html"><span><span>parsed</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1951748006%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/parsed.html"><span class="token function">parsed</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html">MutableList</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">&gt;</span></div><div class="brief "><p class="paragraph">Parse is the opposite of flatten in the sense that each element in data will be 1 instruction</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="96212355%2FFunctions%2F1316645254" anchor-label="parseTemplate" id="96212355%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/parse-template.html"><span>parse</span><wbr></wbr><span><span>Template</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="96212355%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/parse-template.html"><span class="token function">parseTemplate</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">nativeAmount<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-script-template/index.html">ScriptTemplate</a><span class="token operator">?</span></div><div class="brief "><p class="paragraph">Given an output script in script template format, parse its data items</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-250019502%2FFunctions%2F1316645254" anchor-label="plus" id="-250019502%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/plus.html"><span><span>plus</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-250019502%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">operator </span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/plus.html"><span class="token function">plus</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">rawscript<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Append raw script bytes to this script, returning a new script.  Note! Use  '+ OP.push(...)' to push data into a script&quot;)</p></div><div class="symbol monospace"><span class="token keyword">operator </span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/plus.html"><span class="token function">plus</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">opcode<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-o-p/index.html">OP</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">Append an opcode to this script, returning a new script.</p></div><div class="symbol monospace"><span class="token keyword">operator </span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/plus.html"><span class="token function">plus</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">script<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">concatenate a script to the end of this one, returning the joined script</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="2095237913%2FFunctions%2F1316645254" anchor-label="replace" id="2095237913%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/replace.html"><span><span>replace</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="2095237913%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/replace.html"><span class="token function">replace</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">mapper<span class="token operator">: </span><span class="token punctuation">(</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token punctuation">)</span><span class="token operator"> -&gt; </span><span class="token keyword"></span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="brief "><p class="paragraph">iterate through the script, looking for replaceable marker opcodes.  If a marker is found, call the callback with the marker.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="258878270%2FFunctions%2F1316645254" anchor-label="scriptHash" id="258878270%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/script-hash.html"><span>script</span><wbr></wbr><span><span>Hash</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="258878270%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/script-hash.html"><span class="token function">scriptHash</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-hash256/index.html">Hash256</a></div><div class="brief "><p class="paragraph">The single SHA256 hash of this script.  Used by some services as a global pointer identifying the script</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1980372911%2FFunctions%2F1316645254" anchor-label="scriptHash160" id="-1980372911%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/script-hash160.html"><span>script</span><wbr></wbr><span><span>Hash160</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1980372911%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/script-hash160.html"><span class="token function">scriptHash160</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a></div><div class="brief "><p class="paragraph">The RIPEMD160 of the SHA256 hash of this script.  Used by P2SH scripts</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1375875649%2FFunctions%2F1316645254" anchor-label="toAsm" id="1375875649%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-asm.html"><span>to</span><wbr></wbr><span><span>Asm</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1375875649%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-asm.html"><span class="token function">toAsm</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">separator<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator"> = </span><span class="token string">&quot; &quot;</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></div><div class="brief "><p class="paragraph">Convert to assembly code</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="325306349%2FFunctions%2F1316645254" anchor-label="toByteArray" id="325306349%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-byte-array.html"><span>to</span><wbr></wbr><span>Byte</span><wbr></wbr><span><span>Array</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="325306349%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-byte-array.html"><span class="token function">toByteArray</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a></div><div class="brief "><p class="paragraph">Convert this script to a serialized byte array (suitable for network, execution or hashing)</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-2096465149%2FFunctions%2F1316645254" anchor-label="toHex" id="-2096465149%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-hex.html"><span>to</span><wbr></wbr><span><span>Hex</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2096465149%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-hex.html"><span class="token function">toHex</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></div><div class="brief "><p class="paragraph">Convert to hex</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1541189420%2FFunctions%2F1316645254" anchor-label="toOPs" id="1541189420%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-o-ps.html"><span>to</span><wbr></wbr><span><span>OPs</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1541189420%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-o-ps.html"><span class="token function">toOPs</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html">List</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../org.nexa.libnexakotlin/-o-p/index.html">OP</a><span class="token operator">&gt;</span></div><div class="brief "><p class="paragraph">Convert to a list of opcodes</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-629000405%2FFunctions%2F1316645254" anchor-label="toString" id="-629000405%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-string.html"><span>to</span><wbr></wbr><span><span>String</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-629000405%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">override </span><span class="token keyword">fun </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/to-string.html"><span class="token function">toString</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></div><div class="brief "><p class="paragraph">convert this script to a human readable format</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1574087719%2FFunctions%2F1316645254" anchor-label="ungroupedP2t" id="-1574087719%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="ungrouped-p2t.html"><span>ungrouped</span><wbr></wbr><span><span>P2t</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1574087719%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="ungrouped-p2t.html"><span class="token function">ungroupedP2t</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">argsHash<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">?</span><span class="token operator"> = </span>null</span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="ungrouped-p2t.html"><span class="token function">ungroupedP2t</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">argsScript<span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../org.nexa.libnexakotlin/-satoshi-script/index.html">SatoshiScript</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>(c) 2023 Bitcoin Unlimited</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
            </div>
        </div>
    </div>
</body>
</html>
